Форум русскоязычного сообщества Ubuntu


Автор Тема: проблемы с установкой pyside  (Прочитано 1126 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн 1m0n2

  • Автор темы
  • Новичок
  • *
  • Сообщений: 38
    • Просмотр профиля
проблемы с установкой pyside
« : 30 Апрель 2016, 19:09:49 »
 Здраствуйте

Проблема такая :
Устанавливаю PySide по данной инструкции http://pyside.readthedocs.io/en/latest/building/linux.html
На шаге 3 Install latest wheel distribution: возникает такая проблема :
(Нажмите, чтобы показать/скрыть)
Я так понял что не могу установить WHEEL(кстати что ето?и с чем ето едят :-\?) не хватает прав вроде бы.Я еще не очень разобрался с терминалом поэтому будьте добры подскажите плиз что мне делать чтобы установить wheel этот?
Посещает гадская мысля что платная виндовс ДЕШЕВЛЕ бесплатной линукс :O
2 недели на Ubuntu -- переустанавливал уже чаще чем винду за всю жисть :)

serchik

  • Гость
Re: проблемы с установкой pyside
« Ответ #1 : 30 Апрель 2016, 20:17:18 »
1m0n2, Вы неправильно поняли, уже усё стоит, пропускайте этот пункт. Удачи!  ;)

Оффлайн 1m0n2

  • Автор темы
  • Новичок
  • *
  • Сообщений: 38
    • Просмотр профиля
Re: проблемы с установкой pyside
« Ответ #2 : 01 Май 2016, 06:08:09 »
Дошол до шага Installing PySide distribution
Ввожу sudo pip2.7 install dist/PySide-1.2.4-cp27-none-linux-x86_64.whl
и вот что получаю:
(Нажмите, чтобы показать/скрыть)

Что значит  is not a supported wheel on this platform ? Как ето лечить? Подскажите плис. Истина где то рядом.
Посещает гадская мысля что платная виндовс ДЕШЕВЛЕ бесплатной линукс :O
2 недели на Ubuntu -- переустанавливал уже чаще чем винду за всю жисть :)

Punko

  • Гость
Re: проблемы с установкой pyside
« Ответ #3 : 01 Май 2016, 19:31:56 »
Requirement 'dist/PySide-1.2.4-cp27-none-linux-x86_64.whl' looks like a filename, but the file does not exist
PySide-1.2.4-cp27-none-linux-x86_64.whl is not a supported wheel on this platform.

Что значит  is not a supported wheel on this platform ? Как ето лечить? Подскажите плис. Истина где то рядом.

Файла не существует - ключевое. Файл, который вы пытаетесь установить не существует. Ну и соответственно не поддерживается, ибо не существует.

Оффлайн 1m0n2

  • Автор темы
  • Новичок
  • *
  • Сообщений: 38
    • Просмотр профиля
Re: проблемы с установкой pyside
« Ответ #4 : 01 Май 2016, 21:06:19 »
Спасибо с этим решилось там просто в инструкции и у меня имена файлов не совпадают.установка пошла и вот опять :
(Нажмите, чтобы показать/скрыть)

и еще

(Нажмите, чтобы показать/скрыть)

Откудова в питоне классы С++ должны взятса??? :(

В конечном итоге не создались ярлычки(исполняемые файлы) а без них как запускать не знаю  :'(
Посещает гадская мысля что платная виндовс ДЕШЕВЛЕ бесплатной линукс :O
2 недели на Ubuntu -- переустанавливал уже чаще чем винду за всю жисть :)

Punko

  • Гость
Re: проблемы с установкой pyside
« Ответ #5 : 01 Май 2016, 23:18:49 »
1m0n2, без них можно запустить из терминала.

Кстати, в терминале работает автодополнение по tab как в IDE. подставляет и имена файлов тоже.

по поводу классов не скажу - понятия не имею.
Сам не программист, ждите более компетентного советчика.

Оффлайн 1m0n2

  • Автор темы
  • Новичок
  • *
  • Сообщений: 38
    • Просмотр профиля
Re: проблемы с установкой pyside
« Ответ #6 : 02 Май 2016, 08:23:49 »
На забугорном форуме нашол совет
(Нажмите, чтобы показать/скрыть)

Я так понял что в Ubuntu системах с версии 13 библиотека shiboken косячит и надо ее удалить тогда все соберетса правильно. Пытаюсь удалить как  в совете командою sudo apt-get remove libshiboken* и опять беда :

(Нажмите, чтобы показать/скрыть)

Что означает E: Не удалось получить доступ к файлу блокировки /var/cache/apt/archives/lock - open (11: Ресурс временно недоступен)
E: Невозможно заблокировать каталог /var/cache/apt/archives/

Посещает гадская мысля что платная виндовс ДЕШЕВЛЕ бесплатной линукс :O
2 недели на Ubuntu -- переустанавливал уже чаще чем винду за всю жисть :)

Оффлайн mihasЬ

  • Участник
  • *
  • Сообщений: 236
    • Просмотр профиля
Re: проблемы с установкой pyside
« Ответ #7 : 02 Май 2016, 08:33:51 »
1m0n2,
Цитировать
Что означает E: Не удалось получить доступ к файлу блокировки /var/cache/apt/archives/lock - open (11: Ресурс временно недоступен)
E: Невозможно заблокировать каталог /var/cache/apt/archives/
это обычно означает что уже есть запущенный процесс обращающийся к данному ресурсу.

Оффлайн 1m0n2

  • Автор темы
  • Новичок
  • *
  • Сообщений: 38
    • Просмотр профиля
Re: проблемы с установкой pyside
« Ответ #8 : 02 Май 2016, 08:40:34 »
Пасибки  :coolsmiley: что то удалилось буду пытать дальше
Посещает гадская мысля что платная виндовс ДЕШЕВЛЕ бесплатной линукс :O
2 недели на Ubuntu -- переустанавливал уже чаще чем винду за всю жисть :)

Оффлайн livanda

  • Участник
  • *
  • Сообщений: 167
  • За мной будущее! А что за вами?
    • Просмотр профиля
    • Вка
Re: проблемы с установкой pyside
« Ответ #9 : 05 Май 2016, 04:53:17 »
1m0n2, солныйшко. Пока вы там пытаться мой вам совет внимательно читайте то вы делает и что на форумах пишут. А иначе вы так всю систему убьете. И не только систему но и все данные на своем комапике. Не забывайте что вы работаете от рута. Не вставляйте бездумно код   

 

Страница сгенерирована за 0.056 секунд. Запросов: 25.